# PetscRandomView

Views a random number generator object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomView(PetscRandom rnd,PetscViewer viewer)

Collective on PetscRandom

### Input Parameters

| rnd | - The random number generator context
| viewer | - an optional visualization context

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

You can change the format the vector is printed using the option PetscViewerSetFormat().

### See Also

PetscRealView(), PetscScalarView(), PetscIntView()

Level:beginner
Location: src/sys/random/interface/random.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages